import { FinancialSeries } from "./FinancialSeries";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { Point, Type } from "igniteui-angular-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class FinancialOverlay extends FinancialSeries {
    static $t: Type;
    protected get_e8(): boolean;
    constructor();
    protected pb(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    aa0: number;
    protected get_hd(): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected b2(): SeriesHitTestMode;
    gw(a: Point, b: boolean): boolean;
    ac(): void;
    gd(a: any): boolean;
    ay(a: Axis): AxisRange;
    protected aay: boolean;
    protected abstract aaz(): boolean;
    static $$p: string[];
}
